Bug 203174 - vncserver PCF handling Integer overflow
vncserver PCF handling Integer overflow
Product: Fedora
Classification: Fedora
Component: vnc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
David Lawrence
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-08-18 15:27 EDT by Josh Bressers
Modified: 2013-04-30 19:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-25 05:20:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-08-18 15:27:36 EDT
+++ This bug was initially created as a clone of Bug #203172 +++

An integer overflow was discovered in the way freetype processes malformed PCF
files.  It seems that Xorg also contains the same PCF processing code as
freetype, there it too is vulnerable this issue.

We initally described this issue for freetype in bug 190593.

The upstream bug is here:

-- Additional comment from bressers@redhat.com on 2006-08-14 14:09 EST --
The upstream patch is attachment 134155 [details]

-- Additional comment from bressers@redhat.com on 2006-08-15 20:42 EST --
Created an attachment (id=134276)
Demo font file

This issue also affects the vncserver shipped with RHEL2.1 and RHEL3
Comment 1 Josh Bressers 2006-08-18 15:28:38 EDT
Scratch that RHEL comment above, but this will need to be fixed in FC6
Comment 2 Marek Grac 2006-08-23 08:17:48 EDT
Affected code is not in the VNC package
Comment 3 Josh Bressers 2006-08-25 14:47:02 EDT
I've done some thinking about this and I'm removing the Security keyword.  There
is no way this can be considered a security issue, it's simply a bug.

The only way this is exploitable is if a bad font can be included in the
vncserver font path.  That means that an attacker already has access to the
account in question.
Comment 4 Adam Tkac 2006-10-25 04:55:13 EDT
hmm, this bug is only in versions of vnc to FC-4. FC-5 and up uses different
xserver which is not affected...

Note You need to log in before you can comment on or make changes to this bug.